/*
This file is part of Telegram Desktop,
the official desktop version of Telegram messaging app, see https://telegram.org

Telegram Desktop is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

It is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.

In addition, as a special exception, the copyright holders give permission
to link the code of portions of this program with the OpenSSL library.

Full license: https://github.com/telegramdesktop/tdesktop/blob/master/LICENSE
Copyright (c) 2014-2016 John Preston, https://desktop.telegram.org
*/
#pragma once

#include "window/section_memento.h"

namespace Profile {

class Widget;

class SectionMemento : public Window::SectionMemento {
public:
	SectionMemento(PeerData *peer) : _peer(peer) {
	}

	Window::SectionWidget *createWidget(QWidget *parent, const QRect &geometry) const override;

	PeerData *getPeer() const {
		return _peer;
	}
	void setScrollTop(int scrollTop) {
		_scrollTop = scrollTop;
	}
	int getScrollTop() const {
		return _scrollTop;
	}
	void setCommonGroups(const QList<PeerData*> &groups) {
		_commonGroups = groups;
	}
	const QList<PeerData*> &getCommonGroups() const {
		return _commonGroups;
	}

private:
	PeerData *_peer;
	int _scrollTop = 0;
	QList<PeerData*> _commonGroups;

};

} // namespace Window
